module.exports = [
	{
		"name": "whoami",
		"description": "Get your extension info if you have one",
		"type": 1
	},
	{
		"name": "new",
		"description": "Get an extension on the LiteNet Phone System",
		"type": 1
	},
	{
		"name": "delete",
		"description": "Remove your extension from the LiteNet Phone System",
		"type": 1,
		"options": [
			{
				"name": "confirm",
				"description": "Confirm that you want to delete your extension. THIS CANNOT BE UNDONE!",
				"type": 5,
				"required": true
			}
		]
	},
	{
		"name": "paging",
		"description": "Subcommands for managing your paging groups",
		"type": 1,
		"options": [
			{
				"name": "add",
				"description": "Add yourself to a paging group",
				"type": 1,
				"options": [
					{
						"name": "group",
						"description": "Page group to join",
						"type": 3,
						"required": true,
						"choices": require("./pageGroups.json")
					}
				]
			},
			{
				"name": "remove",
				"description": "Remove yourself from a paging group",
				"type": 1,
				"options": [
					{
						"name": "group",
						"description": "Page group to leave",
						"type": 3,
						"required": true,
						"choices": require("./pageGroups.json")
					}
				]
			}
		]
	},
	{
		"name": "list",
		"description": "List all extensions on the LiteNet Phone System",
		"type": 1
	},
	{
		"name": "button",
		"description": "Send the get an extension button!",
		"type": 1,
		"default_member_permissions": 0
	},
	// TODO: Find a way to make the name command work again. Sadge
	// {
	// 	"name": "name",
	// 	"description": "Change your extension's name (Defaults to your Discord name)",
	// 	"type": 1,
	// 	"options": [
	// 		{
	// 			"name": "name",
	// 			"description": "The new name for your extension",
	// 			"type": 3,
	// 			"required": false
	// 		}
	// 	]
	// },
	{
		"name": "admin",
		"description": "Admin only commands",
		"type": 1,
		"default_member_permissions": 0,
		"options": [
			{
				"name": "silence",
				"description": "Kill all ongoing calls",
				"type": 1,
				"default_member_permissions": 0
			},
			{
				"name": "reload",
				"description": "Run asterisk reload",
				"type": 1,
				"default_member_permissions": 0
			},
			{
				"name": "reboot",
				"description": "Reboot the server (LAST RESORT)",
				"type": 1,
				"default_member_permissions": 0
			}
		]
	},
	{
		"name": "dev",
		"description": "Developer only commands",
		"type": 1,
		"default_member_permissions": 0,
		"options": [
			{
				"name": "fwconsole",
				"description": "Run an fwconsole command",
				"type": 1,
				"default_member_permissions": 0,
				"options": [
					{
						"name": "command",
						"description": "The command to run",
						"type": 3,
						"required": true
					}
				]
			},
			{
				"name": "asterisk",
				"description": "Run an asterisk CLI command",
				"type": 1,
				"default_member_permissions": 0,
				"options": [
					{
						"name": "command",
						"description": "The command to run",
						"type": 3,
						"required": true
					}
				]
			},
			{
				"name": "shell",
				"description": "Run a shell command",
				"type": 1,
				"default_member_permissions": 0,
				"options": [
					{
						"name": "command",
						"description": "The command to run",
						"type": 3,
						"required": true
					}
				]
			},
			{
				"name": "restart",
				"description": "Restart the bot",
				"type": 1,
				"default_member_permissions": 0
			}
		]
	},
	{
		"name": "cdr",
		"description": "Get the call detail records for your extension",
		"type": 1,
		"options": [
			{
				"name": "start_date",
				"description": "The start date for the CDR (mm/dd/yyyy)",
				"type": 3,
				"required": false
			},
			{
				"name": "end_date",
				"description": "The end date for the CDR (mm/dd/yyyy)",
				"type": 3,
				"required": false
			}
		]
	},
	{
		"name": "lookup",
		"description": "Find extension by Discord user",
		"type": 1,
		"options": [
			{
				"name": "user",
				"description": "The Discord user to lookup",
				"type": 6,
				"required": true
			}
		]
	},
	{
		"name": "whois",
		"description": "Find Discord user by extension",
		"type": 1,
		"options": [
			{
				"name": "extension",
				"description": "The extension to lookup",
				"type": 4,
				"required": true
			}
		]
	},
	{
		"name": "manage",
		"description": "Manage extensions",
		"type": 1,
		"default_member_permissions": 0,
		"options": [
			{
				"name": "create",
				"description": "Create an extension",
				"type": 1,
				"options": [
					{
						"name": "user",
						"description": "The Discord user to assign the extension to",
						"type": 6,
						"required": true
					},
					{
						"name": "extension",
						"description": "The extension number",
						"type": 4,
						"required": false
					}
				]
			},
			{
				"name": "delete",
				"description": "Delete an extension",
				"type": 1,
				"options": [
					{
						"name": "user",
						"description": "The Discord user whose extension is to be deleted",
						"type": 6,
						"required": true
					}
				]
			},
			{
				"name": "lookup",
				"description": "Lookup an extension",
				"type": 1,
				"options": [
					{
						"name": "user",
						"description": "The Discord user whose extension is to be deleted",
						"type": 6,
						"required": true
					}
				]
			}
		]
	}
]